curl --request GET \
--url https://api.smokeball.com/events \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/events"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"attendees": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"externalAttendees": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"eventType": "0",
"type": "Normal",
"subject": "Subject",
"description": "Description",
"location": "Location",
"allDay": false,
"nonBillable": false,
"startTime": "2000-01-01T20:00:00",
"endTime": "2000-01-01T20:00:00",
"timeZone": "Australia/Sydney",
"lastUpdated": "2000-01-01T20:00:00",
"additionalData": {},
"isDeleted": false
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Get events
Returns a list of events.
Query Parameters
0 <= x <= 21474836471 <= x <= 500Filter by events updated since a specified time. Supported date formats are ISO YYYY-MM-DDThh:mm:ss or .net ticks representation of the UTC datetime.
"2000-01-01T20:00:00 OR 630823536000000000"
Filter by events assigned to a specific MatterId.
Filter out any events that have been deleted, default: false
false
Filter events from a specified UTC date and time. Defaults to the UTC datetime of the request. Dates should be provided in ISO format YYYY-MM-DDThh:mm:ss.
"2000-01-01T20:00:00"
Filter events to a specified UTC date and time. If no datetime is specified all future events will be returned. Dates should be provided in ISO format YYYY-MM-DDThh:mm:ss.
"2000-01-01T20:00:00"
Response
When request is successful. Returns a paged collection of 'Event' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes